//========================================================================================
//
// Noise.c - Simulate video noise by mucking the low bits of the channel values.
//
// Copyright  1999, Adobe Systems Incorporated, all rights reserved worldwide.
//
// 9/12/94		Original version.
// 10/8/95		Updated for 4.2 and CW7.
// 2/21/97		Updated for CW11.
// 4/11/98		Updated for Premiere 5.0 and made cross platform.
//
//========================================================================================

#include "prTypes.h"

#ifdef PRWIN_ENV
#include "prWinEnv.h"
#endif


//========================================================================================
// Prototypes
//========================================================================================
void MakeNoise (Ptr src, Ptr dst, short height, short width, short rowBytes, unsigned long mask);


//========================================================================================
// Routine to add noise to an image. This is a "C" language version of the assembly code
// in "Noise.a".
//========================================================================================
void MakeNoise (Ptr src, Ptr dst, short height, short width, short rowBytes, unsigned long mask)
{
	short	h, v, value;
	long	rowSkip = rowBytes - (width * 4);
	
	for (v=0; v<height; v++) {
		for (h=0; h<width; h++) {
			*(dst++) = *(src++);
			
			value = *(src++);
			if ((value >= 0x08) && (value <= 0xF8)) {
				value ^= mask & 0xFF;
				mask = (mask << 24) + (mask >> 8);
			}
			*(dst++) = (char)value;

			value = *(src++);
			if ((value >= 0x08) && (value <= 0xF8)) {
				value ^= mask & 0xFF;
				mask = (mask << 24) + (mask >> 8);
			}
			*(dst++) = (char)value;

			value = *(src++);
			if ((value >= 0x08) && (value <= 0xF8)) {
				value ^= mask & 0xFF;
				mask = (mask << 24) + (mask >> 8);
			}
			*(dst++) = (char)value;
		}
		
		dst += rowSkip;
		src += rowSkip;
	}
}
