//========================================================================================
//
// Video Noise PiPL.r
//
// Part of the Adobe Premiere 5.0 Plug-In Developer's Toolkit.
//
// Copyright  1992-99, Adobe Systems Incorporated, all rights reserved worldwide.
//
//========================================================================================

/* PiPL for the Premiere Video Noise filter */

#include "PiPLVer.h"

#ifndef PRWIN_ENV
#include "PiPL.r"
#endif


/* Put the plug-in name, as it will appear in Premiere's menu, here. Needs to be localized! */
#define plugInName		"Find Car 1.0b"
#define plugInMatchName	"Find Car Filter"		// This name should not be changed


resource 'PiPL' (16000) {
	{	
		/* The plug-in type - PrVideoFilter signifies a Premiere video filter */
		Kind { PrVideoFilter },
		
		/* This is the filter name as it will appear in a menu  */
		Name { plugInName },
	
		/* Internal name - never modify */
		AE_Effect_Match_Name { plugInMatchName },

		/* The version of the PiPL resource definition */
		AE_PiPL_Version { PiPLVerMajor, PiPLVerMinor },

		/* The version of the AudioRecord, for Premiere 5.0 it is 3 */
		AE_Effect_Spec_Version { 3, 0 },

		/* This is the version of the plug-in itself */
		AE_Effect_Version
			{ (PiPLMajorVersion << 19) | (PiPLMinorVersion << 15) | (PiPLStage << 9) | PiPLBuildNum },
	}
};
